# Andi Chandler <andi@gowling.com>, 2016. #zanata
# Andi Chandler <andi@gowling.com>, 2017. #zanata
# Andi Chandler <andi@gowling.com>, 2018. #zanata
# Andi Chandler <andi@gowling.com>, 2020. #zanata
# Andi Chandler <andi@gowling.com>, 2023. #zanata
msgid ""
msgstr ""
"Project-Id-Version: oslo.messaging\n"
"Report-Msgid-Bugs-To: \n"
"POT-Creation-Date: 2023-09-29 10:37+0000\n"
"MIME-Version: 1.0\n"
"Content-Type: text/plain; charset=UTF-8\n"
"Content-Transfer-Encoding: 8bit\n"
"PO-Revision-Date: 2023-09-21 01:02+0000\n"
"Last-Translator: Andi Chandler <andi@gowling.com>\n"
"Language-Team: English (United Kingdom)\n"
"Language: en_GB\n"
"X-Generator: Zanata 4.3.3\n"
"Plural-Forms: nplurals=2; plural=(n != 1)\n"

msgid ""
"(see `bug 1800957 <https://bugs.launchpad.net/oslo.messaging/"
"+bug/1800957>`_)."
msgstr ""
"(see `bug 1800957 <https://bugs.launchpad.net/oslo.messaging/"
"+bug/1800957>`_)."

msgid "*conn_pool_min_size* (default 2)"
msgstr "*conn_pool_min_size* (default 2)"

msgid "*conn_pool_ttl* (defaul 1200)"
msgstr "*conn_pool_ttl* (defaul 1200)"

msgid "*retry* (default=-1)"
msgstr "*retry* (default=-1)"

msgid "*ssl_client_cert_file* (default='')"
msgstr "*ssl_client_cert_file* (default='')"

msgid "*ssl_client_key_file* (default='')"
msgstr "*ssl_client_key_file* (default='')"

msgid "*ssl_client_key_password* (default='')"
msgstr "*ssl_client_key_password* (default='')"

msgid "10.2.4"
msgstr "10.2.4"

msgid "11.0.0"
msgstr "11.0.0"

msgid "12.0.0"
msgstr "12.0.0"

msgid "12.1.4"
msgstr "12.1.4"

msgid "12.1.6"
msgstr "12.1.6"

msgid "12.11.0"
msgstr "12.11.0"

msgid "12.12.0"
msgstr "12.12.0"

msgid "12.13.0"
msgstr "12.13.0"

msgid "12.13.1"
msgstr "12.13.1"

msgid "12.14.0"
msgstr "12.14.0"

msgid "12.3.0"
msgstr "12.3.0"

msgid "12.4.0"
msgstr "12.4.0"

msgid "12.5.2"
msgstr "12.5.2"

msgid "12.6.0"
msgstr "12.6.0"

msgid "12.7.0"
msgstr "12.7.0"

msgid "12.7.1"
msgstr "12.7.1"

msgid "12.7.3"
msgstr "12.7.3"

msgid "12.9.0"
msgstr "12.9.0"

msgid "12.9.3"
msgstr "12.9.3"

msgid "12.9.4-2"
msgstr "12.9.4-2"

msgid "13.0.0"
msgstr "13.0.0"

msgid "14.0.0"
msgstr "14.0.0"

msgid "14.0.1"
msgstr "14.0.1"

msgid "14.1.0"
msgstr "14.1.0"

msgid "14.2.0"
msgstr "14.2.0"

msgid "14.2.1"
msgstr "14.2.1"

msgid "14.3.0"
msgstr "14.3.0"

msgid "14.3.1"
msgstr "14.3.1"

msgid "14.4.0"
msgstr "14.4.0"

msgid "2023.1 Series Release Notes"
msgstr "2023.1 Series Release Notes"

msgid "2023.2 Series Release Notes"
msgstr "2023.2 Series Release Notes"

msgid "5.17.3"
msgstr "5.17.3"

msgid "5.20.0"
msgstr "5.20.0"

msgid "5.24.0"
msgstr "5.24.0"

msgid "5.24.2"
msgstr "5.24.2"

msgid "5.26.0"
msgstr "5.26.0"

msgid "5.27.0"
msgstr "5.27.0"

msgid "5.30.2"
msgstr "5.30.2"

msgid "5.30.8"
msgstr "5.30.8"

msgid "5.33.0"
msgstr "5.33.0"

msgid "5.34.1"
msgstr "5.34.1"

msgid "5.35.5"
msgstr "5.35.5"

msgid "5.6.0"
msgstr "5.6.0"

msgid "6.0.0"
msgstr "6.0.0"

msgid "6.2.0"
msgstr "6.2.0"

msgid "7.0.0"
msgstr "7.0.0"

msgid "8.0.0"
msgstr "8.0.0"

msgid "8.1.3"
msgstr "8.1.3"

msgid "9.0.0"
msgstr "9.0.0"

msgid "9.3.0"
msgstr "9.3.0"

msgid "9.5.0"
msgstr "9.5.0"

msgid "9.5.2-4"
msgstr "9.5.2-4"

msgid ""
"A bug in the ``amqp`` python library can cause the connection to the "
"RabbitMQ broker to hang when using SSL/TLS. This results in frequent errors "
"such as this::"
msgstr ""
"A bug in the ``amqp`` python library can cause the connection to the "
"RabbitMQ broker to hang when using SSL/TLS. This results in frequent errors "
"such as this::"

msgid ""
"Add a new option `enable_cancel_on_failover` for rabbitmq driver which when "
"enabled, will cancel consumers when queue appears to be down."
msgstr ""
"Add a new option `enable_cancel_on_failover` for RabbitMQ driver which when "
"enabled, will cancel consumers when the queue appears to be down."

msgid ""
"Add get_rpc_transport call to make the API clear for the separation of RPC "
"and Notification messaging backends."
msgstr ""
"Add get_rpc_transport call to make the API clear for the separation of RPC "
"and Notification messaging backends."

msgid ""
"Add quorum configuration x-max-in-memory-length, x-max-in-memory-bytes, x-"
"delivery-limit which control the quorum queue memory usage and handle the "
"message poisoning problem"
msgstr ""
"Add quorum configuration x-max-in-memory-length, x-max-in-memory-bytes, x-"
"delivery-limit which control the quorum queue memory usage and handle the "
"message poisoning problem"

msgid ""
"Added new ``get_rpc_client`` function to instantiate the RPCClient class"
msgstr ""
"Added new ``get_rpc_client`` function to instantiate the RPCClient class"

msgid ""
"Adding a new option, ``[oslo_messaging_rabbit] ssl_enforce_fips_mode``, to "
"the rabbitmq driver to enforce the OpenSSL FIPS mode if supported by the "
"version of Python."
msgstr ""
"Adding a new option, ``[oslo_messaging_rabbit] ssl_enforce_fips_mode``, to "
"the rabbitmq driver to enforce the OpenSSL FIPS mode if supported by the "
"version of Python."

msgid ""
"Adding retry strategy based on the mandatory flag. Missing exchanges and "
"queues are now identified separately for logging purposes."
msgstr ""
"Adding retry strategy based on the mandatory flag. Missing exchanges and "
"queues are now identified separately for logging purposes."

msgid ""
"Adding support for quorum queues. Quorum queues are enabled if the "
"``rabbit_quorum_queue`` parameter is sets (``x-queue-type: quorum``). "
"Setting x-queue-type to quorum means that replicated FIFO queue based on the "
"Raft consensus algorithm will be used. It is available as of RabbitMQ 3.8.0. "
"The quorum queues are durable by default (``amqp_durable_queues``) will be "
"ignored. when enabled the HA queues (``rabbit_ha_queues``) aka mirrored "
"queues should be disabled since the queue can't be both types at the same "
"time"
msgstr ""
"Adding support for quorum queues. Quorum queues are enabled if the "
"``rabbit_quorum_queue`` parameter is sets (``x-queue-type: quorum``). "
"Setting x-queue-type to quorum means that replicated FIFO queue based on the "
"Raft consensus algorithm will be used. It is available as of RabbitMQ 3.8.0. "
"The quorum queues are durable by default (``amqp_durable_queues``) will be "
"ignored. when enabled the HA queues (``rabbit_ha_queues``) aka mirrored "
"queues should be disabled since the queue can't be both types at the same "
"time"

msgid ""
"As a fix for `bug 1917645 <https://launchpad.net/bugs/1917645>`_ the rabbit "
"backend is changed to use the ``[oslo_messaging_notifications]retry`` "
"parameter when driver tries to connect to the message bus during "
"notification sending. Before this fix the rabbit backend retried the "
"connection forever blocking the caller thread."
msgstr ""
"As a fix for `bug 1917645 <https://launchpad.net/bugs/1917645>`_ the rabbit "
"backend is changed to use the ``[oslo_messaging_notifications]retry`` "
"parameter when the driver tries to connect to the message bus during "
"notification sending. Before this fix the rabbit backend retried the "
"connection forever blocking the caller thread."

msgid "Bug Fixes"
msgstr "Bug Fixes"

msgid ""
"Change the default value of RPC dispatcher access_policy to "
"DefaultRPCAccessPolicy."
msgstr ""
"Change the default value of RPC dispatcher access_policy to "
"DefaultRPCAccessPolicy."

msgid "Configuration param 'retry' is added. Default is -1, indefinite"
msgstr "Configuration param 'retry' is added. Default is -1, indefinite"

msgid "Critical Issues"
msgstr "Critical Issues"

msgid "Current Series Release Notes"
msgstr "Current Series Release Notes"

msgid "Default ttl is 1200s. Next configuration params was added"
msgstr "Default TTL is 1200s. Next configuration params was added"

msgid ""
"Deprecate get_transport and use get_rpc_transport or "
"get_notification_transport to make the API usage clear for the separation of "
"RPC and Notification messaging backends."
msgstr ""
"Deprecate get_transport and use get_rpc_transport or "
"get_notification_transport to make the API usage clear for the separation of "
"RPC and Notification messaging backends."

msgid ""
"Deprecating the ``direct_mandatory_flag``. It will not be possible to "
"deactivate this functionality anymore."
msgstr ""
"Deprecating the ``direct_mandatory_flag``. It will not be possible to "
"deactivate this functionality anymore."

msgid "Deprecation Notes"
msgstr "Deprecation Notes"

msgid ""
"Fixed typo in variable names ``rabbit_quorum_max_memory_length`` and "
"``rabbit_quorum_max_memory_bytes``. Please make changes in your config files "
"to correspond correct variables."
msgstr ""
"Fixed typo in variable names ``rabbit_quorum_max_memory_length`` and "
"``rabbit_quorum_max_memory_bytes``. Please make changes in your config files "
"to correspond correct variables."

msgid ""
"Force creating non durable control exchange when a precondition failed "
"related to config that differ occuring."
msgstr ""
"Force creating non-durable control exchange when a precondition failed "
"related to config that differs occurring."

msgid "Idle connections in the pool will be expired and closed."
msgstr "Idle connections in the pool will be expired and closed."

msgid ""
"If kombu_reconnect_delay is specified in the [oslo_messaging_rabbit] "
"section, ensure that it is less than 5.0, the value of "
"ACK_REQUEUE_EVERY_SECONDS_MAX"
msgstr ""
"If kombu_reconnect_delay is specified in the [oslo_messaging_rabbit] "
"section, ensure that it is less than 5.0, the value of "
"ACK_REQUEUE_EVERY_SECONDS_MAX"

msgid ""
"In combination with amqp<=2.4.0, ``oslo.messaging`` was unreliable when "
"configured with TLS (as is generally recommended). Users would see frequent "
"errors such as this::"
msgstr ""
"In combination with amqp<=2.4.0, ``oslo.messaging`` was unreliable when "
"configured with TLS (as is generally recommended). Users would see frequent "
"errors such as this::"

msgid ""
"Increased ACK_REQUEUE_EVERY_SECONDS_MAX to resolve issues with rabbitmq HA "
"failover."
msgstr ""
"Increased ACK_REQUEUE_EVERY_SECONDS_MAX to resolve issues with RabbitMQ HA "
"failover."

msgid ""
"Instantiating the RPCClient class directly is deprecated in favor of using "
"the new ``get_rpc_client`` function to expose a more common API similar to "
"existing functions such as ``get_rpc_server`` and ``get_rpc_transport``"
msgstr ""
"Instantiating the RPCClient class directly is deprecated in favour of using "
"the new ``get_rpc_client`` function to expose a more common API similar to "
"existing functions such as ``get_rpc_server`` and ``get_rpc_transport``"

msgid "Introduce support for sending rpc client metrics to oslo.metrics."
msgstr "Introduce support for sending RPC client metrics to oslo.metrics."

msgid ""
"It is recommended that deployments using SSL/TLS upgrade the amqp library to "
"v2.4.1 or later."
msgstr ""
"It is recommended that deployments using SSL/TLS upgrade the amqp library to "
"v2.4.1 or later."

msgid "Known Issues"
msgstr "Known Issues"

msgid "New Features"
msgstr "New Features"

msgid "Newton Series Release Notes"
msgstr "Newton Series Release Notes"

msgid "Next configuration params was added"
msgstr "Next configuration params was added"

msgid ""
"NoSuchMethod exception will not be logged for special non-existing methods "
"which names end with '_ignore_errors'. Such methods might be used as health "
"probes for openstack services."
msgstr ""
"NoSuchMethod exception will not be logged for special non-existing methods "
"which names end with '_ignore_errors'. Such methods might be used as health "
"probes for OpenStack services."

msgid "Ocata Series Release Notes"
msgstr "Ocata Series Release Notes"

msgid ""
"On rabbitmq, in the past, acknownlegement of messages was done within the "
"application callback thread/greenlet. This thread was blocked until the "
"message was ack. In newton, we rewrote the message acknownlegement to ensure "
"we haven't two threads writting the the socket at the same times. Now all "
"pendings ack are done by the main thread. They are no more reason to block "
"the application callback thread until the message is ack. Other driver "
"already release the application callback threads before the message is "
"acknownleged. This is also the case for rabbitmq, now."
msgstr ""
"On RabbitMQ, in the past, acknowledgement of messages was done within the "
"application callback thread/greenlet. This thread was blocked until the "
"message was acknowledged. In Newton, we rewrote the message acknowledgement "
"to ensure we haven't two threads writing to the socket at the same time. Now "
"all pending acknowledgements are done by the main thread. They are no more "
"reason to block the application callback thread until the message is "
"acknowledged. Other drivers already release the application callback threads "
"before the message is acknowledged. This is also the case for RabbitMQ now."

msgid ""
"Operators must switch to setting the transport_url directive in the "
"[DEFAULT] section."
msgstr ""
"Operators must switch to setting the transport_url directive in the "
"[DEFAULT] section."

msgid "Other Notes"
msgstr "Other Notes"

msgid "Pike Series Release Notes"
msgstr "Pike Series Release Notes"

msgid "Prelude"
msgstr "Prelude"

msgid ""
"Projects using any of the optional drivers can use extras to pull in "
"dependencies for that driver."
msgstr ""
"Projects using any of the optional drivers can use extras to pull in "
"dependencies for that driver."

msgid ""
"Projects using the AMQP 1.0 driver may now depend on oslo.messaging[amqp1]. "
"Projects using the Kafka driver may now depend on oslo.messaging[kafka]"
msgstr ""
"Projects using the AMQP 1.0 driver may now depend on oslo.messaging[amqp1]. "
"Projects using the Kafka driver may now depend on oslo.messaging[kafka]"

msgid "Queens Series Release Notes"
msgstr "Queens Series Release Notes"

msgid ""
"RPC call monitoring is a new RPCClient feature.  Call monitoring causes the "
"RPC server to periodically send keepalive messages back to the RPCClient "
"while the RPC call is being processed.  This can be used for early detection "
"of a server failure without having to wait for the full call timeout to "
"expire."
msgstr ""
"RPC call monitoring is a new RPCClient feature.  Call monitoring causes the "
"RPC server to periodically send keepalive messages back to the RPCClient "
"while the RPC call is being processed.  This can be used for early detection "
"of a server failure without having to wait for the full call timeout to "
"expire."

msgid ""
"RPC dispatcher can have an extra endpoint named ping. This endpoint can be "
"enabled thanks to a specific configuration parameter: [DEFAULT] "
"rpc_ping_enabled=true  # default is false"
msgstr ""
"RPC dispatcher can have an extra endpoint named ping. This endpoint can be "
"enabled thanks to a specific configuration parameter: [DEFAULT] "
"rpc_ping_enabled=true  # default is false"

msgid ""
"RPCClient now supports RPC call monitoring for detecting the loss of a "
"server during an RPC call."
msgstr ""
"RPCClient now supports RPC call monitoring for detecting the loss of a "
"server during an RPC call."

msgid "Remove deprecated configuration options from multiple drivers."
msgstr "Remove deprecated configuration options from multiple drivers."

msgid ""
"RequestContextSerializer was deprecated since 4.6, and it isn't used by any "
"other project, so we can remove it safely."
msgstr ""
"RequestContextSerializer was deprecated since 4.6, and it isn't used by any "
"other project, so we can remove it safely."

msgid "Retry support for oslo_messaging_notifications driver"
msgstr "Retry support for oslo_messaging_notifications driver"

msgid "Rocky Series Release Notes"
msgstr "Rocky Series Release Notes"

msgid "SSL support for oslo_messaging's kafka driver"
msgstr "SSL support for oslo_messaging's Kafka driver"

msgid "Security Issues"
msgstr "Security Issues"

msgid "Stein Series Release Notes"
msgstr "Stein Series Release Notes"

msgid ""
"Such issues would typically lead to downstream service timeouts, with no "
"recourse available other than disabling TLS altogether (see `bug 1800957 "
"<https://bugs.launchpad.net/oslo.messaging/+bug/1800957>`_)."
msgstr ""
"Such issues would typically lead to downstream service timeouts, with no "
"recourse available other than disabling TLS altogether (see `bug 1800957 "
"<https://bugs.launchpad.net/oslo.messaging/+bug/1800957>`_)."

msgid ""
"Support for Python 2.7 has been dropped. The minimum version of Python now "
"supported is Python 3.6."
msgstr ""
"Support for Python 2.7 has been dropped. The minimum version of Python now "
"supported is Python 3.6."

msgid ""
"The AMQP driver has removed the configuration options of "
"allow_insecure_clients, username and password from the [oslo_messaging_amqp] "
"section."
msgstr ""
"The AMQP driver has removed the configuration options of "
"allow_insecure_clients, username and password from the [oslo_messaging_amqp] "
"section."

msgid ""
"The AMQP1 driver is now deprecated. Its related functional tests are also "
"disabled. Neither debian nor ubuntu in the latest releases have any binary "
"built for qpid server, not even 3rd party. Only qpid proton, the client lib, "
"is available."
msgstr ""
"The AMQP1 driver is now deprecated. Its related functional tests are also "
"disabled. Neither Debian nor Ubuntu in the latest releases have any binary "
"built for qpid server, not even 3rd party. Only qpid proton, the client lib, "
"is available."

msgid ""
"The Kafa driver has removed the configuration options of kafka_default_host "
"and kafka_default_port from the [oslo_messaging_kafka] section."
msgstr ""
"The Kafka driver has removed the configuration options of kafka_default_host "
"and kafka_default_port from the [oslo_messaging_kafka] section."

msgid "The Pika-based driver for RabbitMQ has been removed."
msgstr "The Pika-based driver for RabbitMQ has been removed."

msgid ""
"The Rabbit driver has removed the configuration options of rabbit_host, "
"rabbit_port, rabbit_hosts, rabbit_userid, rabbit_password, "
"rabbit_virtual_host rabbit_max_retries and rabbit_durable_queues from the "
"[oslo_messaging_rabbit] section."
msgstr ""
"The Rabbit driver has removed the configuration options of rabbit_host, "
"rabbit_port, rabbit_hosts, rabbit_userid, rabbit_password, "
"rabbit_virtual_host rabbit_max_retries and rabbit_durable_queues from the "
"[oslo_messaging_rabbit] section."

msgid "The ZMQ-based driver for RPC communications has been removed"
msgstr "The ZMQ-based driver for RPC communications has been removed"

msgid ""
"The ``[oslo_messaging_rabbit] heartbeat_in_pthread`` config option defaults "
"to ``False`` again. For wsgi applications it is recommended to set this "
"value to ``True`` but enabling it for non-wsgi services may break such "
"service. Please check https://bugs.launchpad.net/oslo.messaging/+bug/1934937 "
"for more details."
msgstr ""
"The ``[oslo_messaging_rabbit] heartbeat_in_pthread`` config option defaults "
"to ``False`` again. For wsgi applications it is recommended to set this "
"value to ``True`` but enabling it for non-wsgi services may break such "
"service. Please check https://bugs.launchpad.net/oslo.messaging/+bug/1934937 "
"for more details."

msgid ""
"The ``[oslo_messaging_rabbit] heartbeat_in_pthread`` config option now "
"defaults to ``True``. Applications will run RabbitMQ heartbeat in a Python "
"thread by default."
msgstr ""
"The ``[oslo_messaging_rabbit] heartbeat_in_pthread`` config option now "
"defaults to ``True``. Applications will run RabbitMQ heartbeat in a Python "
"thread by default."

msgid ""
"The ``get_rpc_transport``, ``get_rpc_server`` and ``get_rpc_client`` helper "
"functions now have support for overriding the class that is instantiated."
msgstr ""
"The ``get_rpc_transport``, ``get_rpc_server`` and ``get_rpc_client`` helper "
"functions now have support for overriding the class that is instantiated."

msgid ""
"The blocking executor has been deprecated for removal in Rocky and support "
"is now dropped in Ussuri. Its usage was never recommended for applications, "
"and it has no test coverage. Applications should choose the appropriate "
"threading model that maps to their usage instead."
msgstr ""
"The blocking executor has been deprecated for removal in Rocky and support "
"is now dropped in Ussuri. Its usage was never recommended for applications, "
"and it has no test coverage. Applications should choose the appropriate "
"threading model that maps to their usage instead."

msgid ""
"The blocking executor has been deprecated for removal in Rocky. Its usage "
"was never recommended for applications, and it has no test coverage. "
"Applications should choose the appropriate threading model that maps their "
"usage instead."
msgstr ""
"The blocking executor has been deprecated for removal in Rocky. Its usage "
"was never recommended for applications, and it has no test coverage. "
"Applications should choose the appropriate threading model that maps their "
"usage instead."

msgid ""
"The driver support for the ZeroMQ messaging library is removed. Users of the "
"oslo.messaging RPC services must use the supported rabbit (\"rabbit://...\") "
"or amqp1 (\"amqp://...\" )drivers."
msgstr ""
"The driver support for the ZeroMQ messaging library is removed. Users of the "
"oslo.messaging RPC services must use the supported Rabbit (\"rabbit://...\") "
"or amqp1 (\"amqp://...\" )drivers."

msgid ""
"The pika driver has been deprecated for removal in Rocky.  This driver was "
"developed as a replacement for the default rabbit driver. However testing "
"has not shown any appreciable improvement over the default rabbit driver in "
"terms of performance and stability."
msgstr ""
"The Pika driver has been deprecated for removal in Rocky.  This driver was "
"developed as a replacement for the default rabbit driver. However testing "
"has not shown any appreciable improvement over the default rabbit driver in "
"terms of performance and stability."

msgid ""
"The purpose of this new endpoint is to help operators do a RPC call (a ping) "
"toward a specific RPC callback (e.g. a nova-compute, or a neutron-agent). "
"This is helping a lot for monitoring agents (for example, if agents are "
"deployed in a kubernetes pod)."
msgstr ""
"The purpose of this new endpoint is to help operators do a RPC call (a ping) "
"toward a specific RPC callback (e.g. a nova-compute, or a neutron agent). "
"This is helping a lot with monitoring agents (for example, if agents are "
"deployed in a Kubernetes pod)."

msgid ""
"The rabbitmq driver option ``DEFAULT/max_retries`` has been deprecated for "
"removal (at a later point in the future) as it did not make logical sense "
"for notifications and for RPC."
msgstr ""
"The RabbitMQ driver option ``DEFAULT/max_retries`` has been deprecated for "
"removal (at a later point in the future) as it did not make logical sense "
"for notifications and for RPC."

msgid "The rpc_backend option from the [DEFAULT] section has been removed."
msgstr "The rpc_backend option from the [DEFAULT] section has been removed."

msgid ""
"The underlying issue is fixed in amqp version 2.4.1, which is now the "
"minimum version that ``oslo.messaging`` requires."
msgstr ""
"The underlying issue is fixed in amqp version 2.4.1, which is now the "
"minimum version that ``oslo.messaging`` requires."

msgid ""
"This bug has been fixed in `v2.4.1 of amqp <https://github.com/celery/py-"
"amqp/commit/bf122a05a21a8cc5bca314b0979f32c8026fc66e>`_."
msgstr ""
"This bug has been fixed in `v2.4.1 of amqp <https://github.com/celery/py-"
"amqp/commit/bf122a05a21a8cc5bca314b0979f32c8026fc66e>`_."

msgid "This feature can be enabled by setting a configuration parameter:"
msgstr "This feature can be enabled by setting a configuration parameter:"

msgid ""
"Threading issues with the kafka-python consumer client were identified and "
"documented. The driver has been updated to integrate the confluent-kafka "
"python library. The confluent-kafka client leverages the high performance "
"librdkafka C client and is safe for multiple thread use."
msgstr ""
"Threading issues with the kafka-python consumer client were identified and "
"documented. The driver has been updated to integrate the confluent-kafka "
"python library. The confluent-kafka client leverages the high performance "
"librdkafka C client and is safe for multiple thread use."

msgid "Train Series Release Notes"
msgstr "Train Series Release Notes"

msgid "Upgrade Notes"
msgstr "Upgrade Notes"

msgid ""
"Users of the Pika-based driver must change the prefix of all the "
"transport_url configuration options from \"pika://...\"  to \"rabbit://...\" "
"to use the default kombu based RabbitMQ driver."
msgstr ""
"Users of the Pika-based driver must change the prefix of all the "
"transport_url configuration options from \"pika://...\"  to \"rabbit://...\" "
"to use the default kombu based RabbitMQ driver."

msgid "Ussuri Series Release Notes"
msgstr "Ussuri Series Release Notes"

msgid "Victoria Series Release Notes"
msgstr "Victoria Series Release Notes"

msgid "Wallaby Series Release Notes"
msgstr "Wallaby Series Release Notes"

msgid ""
"We are now able to enforce the OpenSSL FIPS mode by using "
"``[oslo_messaging_rabbit] ssl_enforce_fips_mode``."
msgstr ""
"We are now able to enforce the OpenSSL FIPS mode by using "
"``[oslo_messaging_rabbit] ssl_enforce_fips_mode``."

msgid ""
"We undeprecated the ``heartbeat_in_pthread`` option. This option will remain "
"available to allow customers to run the rabbitmq heartbeat in python thread "
"or not."
msgstr ""
"We un-deprecated the ``heartbeat_in_pthread`` option. This option will "
"remain available to allow customers to run the RabbitMQ heartbeat in Python "
"thread or not."

msgid ""
"With the change in the client library used, projects using the Kafka driver "
"should use extras oslo.messaging[kafka] to pull in dependencies for the "
"driver."
msgstr ""
"With the change in the client library used, projects using the Kafka driver "
"should use extras oslo.messaging[kafka] to pull in dependencies for the "
"driver."

msgid "Xena Series Release Notes"
msgstr "Xena Series Release Notes"

msgid "Yoga Series Release Notes"
msgstr "Yoga Series Release Notes"

msgid "Zed Series Release Notes"
msgstr "Zed Series Release Notes"

msgid ""
"ZeroMQ support has been deprecated. The ZeroMQ driver ``zmq://`` has been "
"unmaintained for over a year and no longer functions properly. It is "
"recommended to use one of the maintained backends instead, such as RabbitMQ "
"or AMQP 1.0."
msgstr ""
"ZeroMQ support has been deprecated. The ZeroMQ driver ``zmq://`` has been "
"unmaintained for over a year and no longer functions properly. It is "
"recommended to use one of the maintained backends instead, such as RabbitMQ "
"or AMQP 1.0."

msgid ""
"[`bug 1981093 <https://bugs.launchpad.net/oslo.messaging/+bug/1981093>`_] "
"Pulls calls to logging functions out of ``impl_kafka._produce_message``. "
"Since ``_produce_message`` is called through tpool.execute, calling logging "
"functions inside ``_produce_message`` could cause subsequent calls to "
"logging functions to deadlock."
msgstr ""
"[`bug 1981093 <https://bugs.launchpad.net/oslo.messaging/+bug/1981093>`_] "
"Pulls calls to logging functions out of ``impl_kafka._produce_message``. "
"Since ``_produce_message`` is called through tpool.execute, calling logging "
"functions inside ``_produce_message`` could cause subsequent calls to "
"logging functions to deadlock."

msgid "[oslo_messaging_metrics] metrics_enabled = True  # default is false"
msgstr "[oslo_messaging_metrics] metrics_enabled = True  # default is false"

msgid ""
"``heartbeat_in_pthread`` has been deprecated and will be removed in a future "
"release. If configured, this option should be unset."
msgstr ""
"``heartbeat_in_pthread`` has been deprecated and will be removed in a future "
"release. If configured, this option should be unset."

msgid "oslo.messaging Release Notes"
msgstr "oslo.messaging Release Notes"
